import QtQuick 2.3
import QtQuick.Controls 1.4
import QtMultimedia 5.5

ApplicationWindow {
    visible: true
    width: 400
    height: 300

//    Component {
//        id: c1

//        Item {
//            Camera {
//                id: cam
//                Component.onCompleted: start()
//            }
//            VideoOutput {
//                id: output
//                width: 720
//                height: 480
//                source: cam
//            }
//        }
//    }

//    Loader {
//        id: loader
//    }
//    Timer {
//        running: true
//        interval: 2500
//        repeat: true
//        onTriggered: {
//            loader.sourceComponent = null
//            loader.sourceComponent = c1
//            gc()
//        }
//    }

    Camera {
        id: cam
    }
    VideoOutput {
        id: output
        width: 720
        height: 480
        source: cam
    }
    Timer {
        property bool started: false
        running: true
        interval: 1000
        repeat: true
        onTriggered: {
            if (!started)
                cam.start()
            else
                cam.stop()
            started = !started
            gc()
        }
    }
}
